Page MenuHomePhabricator

[Compact links] With compact-links beta feature, "Featured Article" and "Good Article" tags vanish
Closed, InvalidPublic

Description

The necessary classes for an article to be a GA or a FA need to be added to the language links before displaying.


Version: unspecified
Severity: major

Details

Reference
bz62376

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:50 AM
bzimport set Reference to bz62376.
bzimport added a subscriber: Unknown Object (MLST).
Niharika created this task.Mar 7 2014, 2:45 PM

Change 118728 had a related patch set uploaded by Niharika29:
WIP Preserve GA and FA classes for interwiki links

https://gerrit.wikimedia.org/r/118728

Niklas: Could you answer Niharika's question about implementing your prefered way in https://gerrit.wikimedia.org/r/#/c/118728/ ?

Change 118728 abandoned by Niharika29:
WIP Preserve GA and FA classes for interwiki links

Reason:
https://gerrit.wikimedia.org/r/#/c/121296/

https://gerrit.wikimedia.org/r/118728

https://www.mediawiki.org/wiki/Universal_Language_Selector/Design/Interlanguage_links currently says "No quality indicators are shown for languages which are collapsed".

As for clearly stating a preferred solution, that's sorely needed: the feature was already broken in hundreds projects by https://gerrit.wikimedia.org/r/#/c/94899/ in December (no idea how many are still broken) and no indication was provided on what method would be reliable to use for it in the future (or at least none that en.wiki sysops could understand https://en.wikipedia.org/?oldid=586966577#LinkFA_is_broken ).

He7d3r added a comment.May 3 2014, 1:27 PM

Note that the class names vary per language. E.g.:
https://pt.wikipedia.org/wiki/MediaWiki:Gadget-featuredLinks.js
uses 'FA' (featured article), 'FL' (featured list) and 'BOM' (good article)

Closing again: given bug 40810, this is better solved in bug 64797 by making sure we preserve all the attributes Wikibase is going to add.

Tgr added a comment.Aug 22 2014, 12:17 PM

Changing to invalid - it is confusing to have this bug with a fixed state when the issue it describes is not actually fixed.

jayvdb added a subscriber: jayvdb.May 25 2016, 11:21 AM

Closing again: given bug 40810, this is better solved in bug 64797 by making sure we preserve all the attributes Wikibase is going to add.

So, T66797 is fixed, but T131233: Featured, etc. badges are not shown in the ULS panel in Compact Language Links is the relevant spawned task which is not solved, and T70071: [Compact links] Prioritise interwikis to featured pages is also essentially the new task for this regression since CompatLinks has been installed because previously the reader could visually prioritise those languages with FA/GA status.

Amire80 moved this task from Backlog to Other on the ULS-CompactLinks board.Nov 3 2017, 8:25 AM